Bug 460723 - Kernel oops, latest Rawhide on PowerPC
Kernel oops, latest Rawhide on PowerPC
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-30 01:10 EDT by W. Michael Petullo
Modified: 2008-09-06 11:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-06 11:08:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from dmesg (6.44 KB, text/plain)
2008-08-30 01:10 EDT, W. Michael Petullo
no flags Details

  None (edit)
Description W. Michael Petullo 2008-08-30 01:10:30 EDT
Created attachment 315418 [details]
Output from dmesg

Description of problem:
My kernel oopses while booting on PowerPC.

Version-Release number of selected component (if applicable):
kernel-2.6.27-0.290.rc5.fc10.ppc

How reproducible:
Everytime

Steps to Reproduce:
Install the latest Rawhide and boot
  
Actual results:
See attached dmesg output

Expected results:


Additional info:
Comment 1 Kevin Fenzi 2008-08-30 10:49:15 EDT
I'm seeing the same thing here... ;( 

My box is a G4/466
Comment 2 David Woodhouse 2008-09-04 16:18:25 EDT
That's the _second_ oops I see when I boot my PowerBook on the rawhide kernel, not the first. The first is in the Radeon modesetting code -- you can boot with 'nomodeset' on the command line to work around it, for now.
Comment 3 David Woodhouse 2008-09-04 16:26:53 EDT
Hm, and then I see an oops in __do_page_cache_readahead() instead, as well as an endless stream of USB hub messages. Looking closer...
Comment 4 David Woodhouse 2008-09-04 16:49:59 EDT
I wonder if some of the observed non-modesetting breakage could be related to http://bugzilla.kernel.org/show_bug.cgi?id=11414

If so, it should be fixed when we update to 2.6.27-rc5-git6. Building a test kernel now to check...
Comment 5 Kevin Fenzi 2008-09-04 17:02:29 EDT
Using the nomodeset (and selinux=0) I can get it to come up... 

but there are more issues: 

swap_free: Unused swap offset entry 00000001
------------[ cut here ]------------
kernel BUG at mm/memory.c:474!
BUG: scheduling while atomic: S28portreserve/1602/0x10000001
Modules linked in: sunrpc ipt_REJECT nf_conntrack_ipv4 iptable_filter ip_tables
ip6t_REJECT xt_tcpudp nf_conntrack_ipv6 xt_state nf_conntrack ip6table_filter
ip6_tables x_tables ipv6 dm_mirror dm_log dm_multipath dm_mod snd_aoa_i2sbus
snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss
snd_mixer_oss pmac_zilog snd_pcm firewire_ohci ide_cd_mod ide_floppy snd_timer
firewire_core snd_page_alloc cdrom sungem crc_itu_t snd sungem_phy soundcore
snd_aoa_soundbus ext3 jbd mbcache
Call Trace:
[ece279e0] [c0009c00] show_stack+0x98/0x158 (unreliable)
[ece27a20] [c03c6e64] dump_stack+0x2c/0x44
[ece27a30] [c0048268] __schedule_bug+0x5c/0x74
[ece27a40] [c03bdb40] schedule+0x8c/0x4f0
[ece27a90] [c0048364] __cond_resched+0x3c/0x6c
[ece27ab0] [c03be110] _cond_resched+0x44/0x68
[ece27ac0] [c03bef3c] mutex_lock+0x38/0x58
[ece27ae0] [c001407c] die+0xe4/0x244
[ece27b10] [c001443c] _exception+0x68/0x164
[ece27c00] [c03c1344] __kprobes_text_start+0x59c/0x5bc
[ece27c40] [c001696c] ret_from_except_full+0x0/0x4c
--- Exception: 700 at vm_normal_page+0x90/0xc4
    LR = unmap_vmas+0x270/0x64c
[ece27d00] [ecdca018] 0xecdca018 (unreliable)
[ece27d10] [c00c0130] unmap_vmas+0x270/0x64c
[ece27d90] [c00c5640] exit_mmap+0x70/0xfc
[ece27dc0] [c0048f10] mmput+0x68/0xf4
[ece27de0] [c00e7b78] flush_old_exec+0x418/0x664
[ece27e20] [c01248dc] load_elf_binary+0x348/0x1170
[ece27ea0] [c00e724c] search_binary_handler+0xd4/0x294
[ece27ee0] [c00e85a0] do_execve+0x15c/0x218
[ece27f20] [c000a8c4] sys_execve+0x68/0x90
[ece27f40] [c001630c] ret_from_syscall+0x0/0x38
--- Exception: c00 at 0xe8b4ec8
    LR = 0x10027298
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
Oops: Exception in kernel mode, sig: 5 [#1]
PowerMac
Modules linked in: sunrpc ipt_REJECT nf_conntrack_ipv4 iptable_filter ip_tables
ip6t_REJECT xt_tcpudp nf_conntrack_ipv6 xt_state nf_conntrack ip6table_filter
ip6_tables x_tables ipv6 dm_mirror dm_log dm_multipath dm_mod snd_aoa_i2sbus
snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss
snd_mixer_oss pmac_zilog snd_pcm firewire_ohci ide_cd_mod ide_floppy snd_timer
firewire_core snd_page_alloc cdrom sungem crc_itu_t snd sungem_phy soundcore
snd_aoa_soundbus ext3 jbd mbcache
NIP: c00be4fc LR: c00c0130 CTR: 00000001
REGS: ece27c50 TRAP: 0700   Not tainted  (2.6.27-0.297.rc5.git2.fc10.ppc)
MSR: 0002b032 <EE,FP,ME,IR,DR>  CR: 22222484  XER: 00000000
TASK = ecdb3f00[1602] 'S28portreserve' THREAD: ece26000
GPR00: 00000001 ece27d00 ecdb3f00 ece0f100 0022c901 0006e616 00000000 00000000 
GPR08: fffffffd c0580000 6e616d65 08100073 22222482 100dc8e4 ece27d98 00000000 
GPR16: c05871c0 ece0d0e8 0e9e0000 ece26000 ecdcc600 2d73f387 fffffffe ece0f100 
GPR24: 00000000 fffffffe 0e9e0000 003c7c15 0022c901 ecdca02c c0c187e0 ece27d00 
NIP [c00be4fc] vm_normal_page+0x90/0xc4
LR [c00c0130] unmap_vmas+0x270/0x64c
Call Trace:
[ece27d00] [ecdca018] 0xecdca018 (unreliable)
[ece27d10] [c00c0130] unmap_vmas+0x270/0x64c
[ece27d90] [c00c5640] exit_mmap+0x70/0xfc
[ece27dc0] [c0048f10] mmput+0x68/0xf4
[ece27de0] [c00e7b78] flush_old_exec+0x418/0x664
[ece27e20] [c01248dc] load_elf_binary+0x348/0x1170
[ece27ea0] [c00e724c] search_binary_handler+0xd4/0x294
[ece27ee0] [c00e85a0] do_execve+0x15c/0x218
[ece27f20] [c000a8c4] sys_execve+0x68/0x90
[ece27f40] [c001630c] ret_from_syscall+0x0/0x38
--- Exception: c00 at 0xe8b4ec8
    LR = 0x10027298
Instruction dump:
5400a33e 7c004a14 7f850000 41be003c 71600028 2f800020 40be0030 3d20c058 
80094344 7c002810 38000000 7c000114 <0f000000> 3d20c058 54a02834 81294340 
---[ end trace 55337f1cca5793ee ]---
note: S28portreserve[1602] exited with preempt_count 1
BUG: scheduling while atomic: S28portreserve/1602/0x10000001
Modules linked in: sunrpc ipt_REJECT nf_conntrack_ipv4 iptable_filter ip_tables
ip6t_REJECT xt_tcpudp nf_conntrack_ipv6 xt_state nf_conntrack ip6table_filter
ip6_tables x_tables ipv6 dm_mirror dm_log dm_multipath dm_mod snd_aoa_i2sbus
snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss
snd_mixer_oss pmac_zilog snd_pcm firewire_ohci ide_cd_mod ide_floppy snd_timer
firewire_core snd_page_alloc cdrom sungem crc_itu_t snd sungem_phy soundcore
snd_aoa_soundbus ext3 jbd mbcache
Call Trace:
[ece27970] [c0009c00] show_stack+0x98/0x158 (unreliable)
[ece279b0] [c03c6e64] dump_stack+0x2c/0x44
[ece279c0] [c0048268] __schedule_bug+0x5c/0x74
[ece279d0] [c03bdb40] schedule+0x8c/0x4f0
[ece27a20] [c0048364] __cond_resched+0x3c/0x6c
[ece27a40] [c03be110] _cond_resched+0x44/0x68
[ece27a50] [c03bf55c] down_read+0x38/0x70
[ece27a60] [c0085344] acct_collect+0x48/0x170
[ece27a80] [c004f1b8] do_exit+0x1f0/0x7d8
[ece27ae0] [c00141dc] kernel_bad_stack+0x0/0x64
[ece27b10] [c001443c] _exception+0x68/0x164
[ece27c00] [c03c1344] __kprobes_text_start+0x59c/0x5bc
[ece27c40] [c001696c] ret_from_except_full+0x0/0x4c
--- Exception: 700 at vm_normal_page+0x90/0xc4
    LR = unmap_vmas+0x270/0x64c
[ece27d00] [ecdca018] 0xecdca018 (unreliable)
[ece27d10] [c00c0130] unmap_vmas+0x270/0x64c
[ece27d90] [c00c5640] exit_mmap+0x70/0xfc
[ece27dc0] [c0048f10] mmput+0x68/0xf4
[ece27de0] [c00e7b78] flush_old_exec+0x418/0x664
[ece27e20] [c01248dc] load_elf_binary+0x348/0x1170
[ece27ea0] [c00e724c] search_binary_handler+0xd4/0x294
[ece27ee0] [c00e85a0] do_execve+0x15c/0x218
[ece27f20] [c000a8c4] sys_execve+0x68/0x90
[ece27f40] [c001630c] ret_from_syscall+0x0/0x38
--- Exception: c00 at 0xe8b4ec8
    LR = 0x10027298
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
BUG: scheduling while atomic: S28portreserve/1602/0x10000001
Modules linked in: sunrpc ipt_REJECT nf_conntrack_ipv4 iptable_filter ip_tables
ip6t_REJECT xt_tcpudp nf_conntrack_ipv6 xt_state nf_conntrack ip6table_filter
ip6_tables x_tables ipv6 dm_mirror dm_log dm_multipath dm_mod snd_aoa_i2sbus
snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss
snd_mixer_oss pmac_zilog snd_pcm firewire_ohci ide_cd_mod ide_floppy snd_timer
firewire_core snd_page_alloc cdrom sungem crc_itu_t snd sungem_phy soundcore
snd_aoa_soundbus ext3 jbd mbcache
Call Trace:
[ece27950] [c0009c00] show_stack+0x98/0x158 (unreliable)
[ece27990] [c03c6e64] dump_stack+0x2c/0x44
[ece279a0] [c0048268] __schedule_bug+0x5c/0x74
[ece279b0] [c03bdb40] schedule+0x8c/0x4f0
[ece27a00] [c0048364] __cond_resched+0x3c/0x6c
[ece27a20] [c03be110] _cond_resched+0x44/0x68
[ece27a30] [c004d234] put_files_struct+0x9c/0xfc
[ece27a60] [c004d2e8] exit_files+0x54/0x6c
[ece27a80] [c004f224] do_exit+0x25c/0x7d8
[ece27ae0] [c00141dc] kernel_bad_stack+0x0/0x64
[ece27b10] [c001443c] _exception+0x68/0x164
[ece27c00] [c03c1344] __kprobes_text_start+0x59c/0x5bc
[ece27c40] [c001696c] ret_from_except_full+0x0/0x4c
--- Exception: 700 at vm_normal_page+0x90/0xc4
    LR = unmap_vmas+0x270/0x64c
[ece27d00] [ecdca018] 0xecdca018 (unreliable)
[ece27d10] [c00c0130] unmap_vmas+0x270/0x64c
[ece27d90] [c00c5640] exit_mmap+0x70/0xfc
[ece27dc0] [c0048f10] mmput+0x68/0xf4
[ece27de0] [c00e7b78] flush_old_exec+0x418/0x664
[ece27e20] [c01248dc] load_elf_binary+0x348/0x1170
[ece27ea0] [c00e724c] search_binary_handler+0xd4/0x294
[ece27ee0] [c00e85a0] do_execve+0x15c/0x218
[ece27f20] [c000a8c4] sys_execve+0x68/0x90
[ece27f40] [c001630c] ret_from_syscall+0x0/0x38
--- Exception: c00 at 0xe8b4ec8
    LR = 0x10027298
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
eth0: Link is up at 100 Mbps, full-duplex.
eth0: Pause is enabled (rxfifo: 10240 off: 7168 on: 5632)
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
Bluetooth: Core ver 2.12
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
Bluetooth: L2CAP ver 2.10
Bluetooth: L2CAP socket layer initialized
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.10
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
hub 2-0:1.0: state 7 ports 2 chg 0000 evt 0000
(this now repeats about 2x/sec forever)
Comment 6 David Woodhouse 2008-09-04 18:36:17 EDT
All that goes away in the -git6 kernel, except the repeated USB messages.
Comment 7 W. Michael Petullo 2008-09-06 11:08:04 EDT
Confirmed fixed in kernel-2.6.27-0.305.rc5.git6.fc10.

Note You need to log in before you can comment on or make changes to this bug.